#ifndef MFGEN_H
#define MFGEN_H
//------------------------------------------------------------

//Global function definitions
BOOL CALLBACK DlgProc(HWND hwnd,UINT msg,WPARAM wParam,LPARAM lParam);
void ShowHelp(HWND owner);
int AddListboxItem(HWND owner,int id,const char* str);
int GetListboxCount(HWND owner,int id);
void ClearListBox(HWND owner,int id);
int GetListboxSelItemIndex(HWND owner,int id);
int GetListboxItemText(HWND owner,int id,int index,char* buf);
int RemoveListboxItem(HWND owner,int id,int index);
bool OpenFileName(HWND hwnd,char* filename);
bool SaveFileName(HWND hwnd,char* filename);
bool GetCheckState(HWND owner,int id);
void GetFileExtension(char* filename,char* ext);
void ExtractFilenameFromPath(const char* path,char* filename);
void ToLower(char* str);

//------------------------------------------------------------
#endif